Loading...
Searching...
No Matches
BALL::AtomInformationContent Class Reference

`#include <BALL/QSAR/simpleDescriptors.h>`

Inheritance diagram for BALL::AtomInformationContent:

## Public Member Functions

Constructors and Destructors
| AtomInformationContent ()
| AtomInformationContent (const AtomInformationContent &aic)
virtual | ~AtomInformationContent ()
Assignment
AtomInformationContent & | operator= (const AtomInformationContent &aic)
Accessors
double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::SimpleBase
| SimpleBase ()
| SimpleBase (const SimpleBase &sb)
| SimpleBase (const String &name)
| SimpleBase (const String &name, const String &unit)
virtual | ~SimpleBase ()
virtual SimpleBase & | operator= (const SimpleBase &sb)
void | computeAllDescriptors (AtomContainer &ac)
void | setDataFolder (const char *folder)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)

## Detailed Description

This descriptor is $n$ times MeanAtomInformationContent.

Definition at line 742 of file simpleDescriptors.h.

## Constructor & Destructor Documentation

## AtomInformationContent() [1/2]

BALL::AtomInformationContent::AtomInformationContent | ( |  | ) |

Default Constructor

## AtomInformationContent() [2/2]

BALL::AtomInformationContent::AtomInformationContent | ( | const AtomInformationContent & | aic | ) |

Copy constructor

## ~AtomInformationContent()

virtual BALL::AtomInformationContent::~AtomInformationContent | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## compute()

double BALL::AtomInformationContent::compute | ( | AtomContainer & | ac | ) |

virtual

Reimplemented from BALL::Descriptor.

## operator=()

AtomInformationContent & BALL::AtomInformationContent::operator= | ( | const AtomInformationContent & | aic | ) |

Assignment operator